Run Job

Product version: 10.11

Last modified: 31 July 2024

Runs selected jobs.

Endpoint

https://<Director_IP_address>:4443/c/router

Tenant Endpoint

For tenants of the multi-tenant product the endpoint must be:
https://<Director_IP_address>:4443/t/<tenant_UUID>/c/router

Request Example

Example of running specific sources of one job (SPECIFIC run type):

Request Fields

Field
Type
Value(s)
action string

JobManagement

method string

run

data array Array with one object that contains the fields described in the data table below
type string rpc
tid integer 1

data

Field
Type
Description
jobIds array of int Job IDs
runType string Run type. Can be ALL (run all jobs), NOT_PROCESSED_ON_LAST_RUN (run only jobs failed to run on the previous launch), or SPECIFIC (select a specific job to run)
sourceVids array of string VIDs of the job sources to run, for example, VM-7. Used with the SPECIFIC run type. For this run type, jobIds must contain one job
backupType string Backup type. Possible values: INCREMENTAL, or FULL
fullBackupMode string Mode of full backup type. Possible values: SYNTHETIC, ACTIVE
siteRecoveryRunType string Mode of site recovery job. Possible values: TEST, RUN
recoveryTimeObjectiveType string Recovery time objective for site recovery job in test mode. Possible values: MINUTE, HOUR
recoveryTimeObjective int Recovery time objective value for site recovery job in test mode, in the units set by recoveryTimeObjectiveType. Minimum value: 1
failoverType string Failover type for failover job. Possible values: PLANNED_FAILOVER, or EMERGENCY_FAILOVER
selectedScheduleId long ID of the job schedule whose retention and immutability settings the run uses
useLastRunSavepointRetentionSetting boolean Reuse the retention settings of the last run
useSchedulePosition boolean Used only together with selectedScheduleId. Default: false
customKeepSavepointCount int Custom retention count for this run
customKeepSavepointType string Unit of the custom retention count. Possible values: DAYS, WEEKS, MONTHS, YEARS

Note

For a job that uses the schedule retention approach, pass selectedScheduleId to apply the retention and immutability settings of that schedule. Without it, the recovery points created by the run are not immutable. You can get the schedule ID from schedules[].id in Get Job Info.

Response Sample

Response Fields

Field
Value
Description
message string Message if the request failed
where string Reference to the method where a problem occurred
cause string Cause of failure